# Sensors - Magic Touch

> Sending update when magic touch is triggered.

{% hint style="info" %}
This uses the same <mark style="color:red;">`callbackName`</mark> as [Sensors](/invisoutlet-pro/synchronous-updates/sensors.md).
{% endhint %}

#### Response

* <mark style="color:red;">`sn`</mark>: The serial number of the InvisOutlet.
* <mark style="color:red;">`packetID`</mark>: Represents the packet ID.
* <mark style="color:red;">`payload`</mark>:&#x20;
  * <mark style="color:red;">`callbackName`</mark> : 11
  * <mark style="color:red;">`callbackArgs`</mark> :&#x20;
    * `0` : The InvisDeco device type.
    * `1` :&#x20;
      * <mark style="color:red;">`magic_touch_1`</mark> : A flag indicating if the first Magic Touch button is pressed with touch duration in milliseconds.
      * <mark style="color:red;">`magic_touch_2`</mark> : A flag indicating if the second Magic Touch button is pressed with touch duration in milliseconds.

```json
{
    "sn": "000FE441F7",
    "packetID": 371939,
    "payload": {
        "callbackName": 11,
        "callbackArgs": [
            4,
            {
                "magic_touch_1": 270
            }
        ]
    }
}
```

{% hint style="info" %}
As the Magic Touch button will likely be triggered one at a time, the response payload will only contain either <mark style="color:red;">`magic_touch_1`</mark>  or <mark style="color:red;">`magic_touch_2`</mark> .
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.intecular.com/invisoutlet-pro/synchronous-updates/sensors-magic-touch.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
